# Need package "expss" to input variable and value labels using the 
# commands/codes below.

install.packages("expss")
library(expss)

# Here's the code to input all of the variable labels for CEO2018
var_lab(SERIALNO) = "Housing unit identifier"
var_lab(SPORDER) = "Person number in household"
var_lab(PWGTP) = "Person weight"
var_lab(WGTP) =	"Housing Weight"
var_lab(AGEP) = "Age or Respondent"
var_lab(CIT) = 	"Citizenship status"
var_lab(REL) = "Relationship to reference person"
var_lab(SCH) = "School Enrollment"
var_lab(SCHG) =	"Grade Level Attending"
var_lab(SCHL) =	"Educational attainment"
var_lab(SEX) =	"Sex"
var_lab(ESR) =	"Employment status recode"
var_lab(LANX) =	"Language other than English spoken at home"
var_lab(ENG) =	"Ability to Speak English"
var_lab(MSP) =	"Married, spouse present/spouse absent"
var_lab(MAR) =	"Marital status"
var_lab(WKW)	= "Weeks worked during past 12 months"
var_lab(WKHP) =	"Usual hours worked per week past 12 months"
var_lab(DIS) =	"Disability recode"
var_lab(NP) =	"Number of people in housing unit"
var_lab(TEN) =	"Housing Tenure"
var_lab(HHT) =	"Household/family type"
var_lab(JWTR) =	"Means of transportation to work"
var_lab(WAGP_adj) =	"Wages or salary income past 12 months, adjusted by income adjustment factor"
var_lab(INTP_adj) =	"Interest, dividends, and net rental income past 12 months (signed), adjusted by income adjustment factor"
var_lab(SEMP_adj) =	"Self-employment income past 12 months (signed), adjusted by income adjustment factor"
var_lab(SSP_adj) =	"Social Security income past 12 months, adjusted by income adjustment factor"
var_lab(SSIP_adj) =	"Supplementary Security Income past 12 months, adjusted by income adjustment factor"
var_lab(PA_adj) =	"Public assistance income past 12 months, adjusted by income adjustment factor"
var_lab(RETP_adj) =	"Retirement income past 12 months, adjusted by income adjustment factor"
var_lab(OI_adj) =	"All other income past 12 months, adjusted by income adjustment factor"
var_lab(MRGP_adj) =	"Mortgage payment (monthly amount),adjusted by income adjustment factor"
var_lab(RNTP_adj) =	"Monthly rent,adjusted by income adjustment factor"
var_lab(Povunit_ID) =	"Identifier for Poverty Unit within Household"
var_lab(Povunit_Rel) =	"Relationship within Poverty Unit"
var_lab(FamType_PU) =	"Family Structure of Poverty Unit"
var_lab(HousingStatus) =	"Type of housing occupied by census household"
var_lab(Ethnicity) =	"Race/Ethnicity"
var_lab(TotalWorkHrs_PU) =	"Total Annual Hours worked by Poverty Unit members"
var_lab(Boro) =	"NYC Borough"
var_lab(EducAttain) =	"Educational Attainment"
var_lab(CitizenStatus) =	"Citizenship Status"
var_lab(AgeCateg) =	"Age Category"
var_lab(FTPTWork) =	"Work Experience of Individual, Full or Part Time"
var_lab(PreTaxIncome_PU) =	"Pre-Tax Cash Income"
var_lab(Off_Threshold) =	"Official/Federal Poverty Threshold"
var_lab(Off_Pov_Stat) =	"Official/Federal Poverty Status"
var_lab(NYCgov_EITC) =	"Estimated value of Federal Earned Income Tax Credit"
var_lab(NYCgov_Income) =	"Total Income to be compared to NYCgov Threshold for determining poverty status"
var_lab(NYCgov_Threshold) =	"NYCgov Poverty Threshold"
var_lab(NYCgov_Pov_Stat) =	"NYCgov Poverty Status"
var_lab(NYCgov_Housing) =	"Adjustment to income for housing subsidy"
var_lab(NYCgov_Childcare) =	"Childcare Costs"
var_lab(NYCgov_Commuting) =	"Commuting Costs"
var_lab(NYCgov_MOOP) =	"Total Medical Spending"
var_lab(NYCgov_MedSpending) =	"Out-of-Pocket Medical Spending"
var_lab(NYCgov_MedPremiums) =	"Medical Insurance Premium Costs"
var_lab(NYCgov_HEAP) =	"Heating Assistance"
var_lab(NYCgov_WIC) =	"Women, Infants & Children Nutritional Assistance"
var_lab(NYCgov_SNAP) =	"SNAP benefits (food assistance)"
var_lab(NYCgov_SchoolLunch) =	"Subsidized school lunch"
var_lab(NYCgov_SchoolBreakfast) =	"Subsidized school breakfast"
var_lab(NYCgov_Nutrition) =	"All Nutrition-related income adjustments (SNAP, WIC, School Meals)"
var_lab(NYCgov_FICAtax) =	"FICA (payroll) tax"
var_lab(NYCgov_IncomeTax) =	"Net Income Taxes (tax paid,net of tax credits)"
var_lab(TaxUnit_ID) =	"Tax Filing Unit"
var_lab(TaxUnit_Rel) =	"Relations within Tax Unit"
var_lab(NYCgov_REL) =	"Relations within Household"
var_lab(NYCgov_SFN) =	"Subfamily identifier"
var_lab(NYCgov_SFR) =	"Subfamily relationship"
var_lab(HIUnit_ID) =	"Health Insurance Unit"
var_lab(HIUnit_Head) =	"Health Insurance Unit Head"
var_lab(SNAPUnit_ID) =	"SNAP benefits unit"
var_lab(SNAPUnit_Rel) =	"Relationship in SNAP benefits unit"
var_lab(TaxUnit_FILER) =	"Designated Filer in Tax Unit"
var_lab(TaxUnit_FILESTAT) =	"Tax Unit Filing Status"
var_lab(TaxUnit_FILETYPE) =	"Tax Unit Filetype"
var_lab(NYCgov_PovGap) =	"the dollar difference between NYCgov family income and the NYCgov threshold"
var_lab(NYCgov_PovGapIndex) =	"the poverty gap expressed as a proportion of the poverty threshold"

# Here's the code to iput all of the value labels for Categorical Variables in CEO2018
val_lab(CIT) = num_lab("
                       1 Born in the US
                       2 Born in Puerto Rico, Guam, the US Virgin Islands, or the Northern Marianas 
                       3 Born abroad of American parent(s) 
                       4 US citizen by naturalization
                       5 Not a citizen of the US
                       ")

val_lab(SEX) = num_lab("
                       1 Male
                       2 Female
                       ")

val_lab(SCH) = num_lab("
                       0 N/A Less than_3
                       1 No, has not attended in the last 3 months
                       2 Yes, public school or public college
                       3 Yes, private school or college or home school
                       ")

val_lab(ESR) = num_lab("
                       1 Civilian employed, at work
                       2 Civilian employed, with a job but not at work
                       3 Unemployed
                       4 Armed forces, at work
                       5 Armed forces, with a job but not at work
                       6 Not in labor force
                       ")

val_lab(LANX) = num_lab("
                       1 Yes, speaks another language
                       2 No, speaks only English
                       ")

val_lab(ENG) = num_lab("
                       1 Very well
                       2 Well
                       3 Not well
                       4 Not at all
                       ")

val_lab(MSP) = num_lab("
                       1 Now married, spouse present
                       2 Now married, spouse absent
                       3 Widowed
                       4 Divorced
                       5 Separated
                       6 Never married
                       ")

val_lab(MAR) = num_lab("
                       1 Married
                       2 Widowed
                       3 Divorced
                       4 Separated
                       5 Never married or under 15 years old
                       ")

val_lab(DIS) = num_lab("
                       1 With a disability
                       2 Without a disability")

val_lab(TEN) = num_lab("
                       1 Owned with mortgage or loan (include home equity loans)
                       2 Owned free and clear
                       3 Rented
                       4 Occupied without payment of rent
                       ")

val_lab(Povunit_Rel) = num_lab("
                       1 Head 
                       2 Spouse/Partner 
                       3 Child (incl up to 24 if dependents)
                       4 Other
                       ")
                               
val_lab(FamType_PU) = num_lab("
                       1 Husband/Wife + child 
                       2 Husband/Wife no child 
                       3 Single Male + child 
                       4 Single Female + child 
                       5 Male unit head, no child 
                       6 Female unit head, no child 
                       7 Unrelated Indiv w/others 
                       8 Unrelated Indiv Alone
                       ")

val_lab(HousingStatus) = num_lab("
                       1 Renter - Public Housing  
                       2 Renter - Mitchell Lama Rental 
                       3 Renter - Tenant-Based Subsidy 
                       4 Renter - Rent Regulated 
                       5 Renter - Other Regulated 
                       6 Renter - Market Rate 
                       7 Renter - No Cash Rent 
                       8 Owner - Owned Free & Clear 
                       9 Owner - Paying Mortgage
                       ")
                                 
val_lab(Ethnicity) = num_lab("
                       1 Non-Hispanic White Individual ACS 
                       2 Non-Hispanic Black 
                       3 Non-Hispanic Asian 
                       4 Hispanic, Any Race 
                       5 Other Race/Ethnic Group
                       ")

val_lab(TotalWorkHrs_PU) = num_lab("
                      1 3500+_Hrs (Two Full-Time, Year-Round Workers)
                      2 >_2340_&_<_3500 Hrs (One Full-Time, Year-Round, One Part-Time Worker)
                      3 >=_1750_&_<=_2340_Hrs (One Full-Time, Year-Round Worker)
                      4 <_1750_Hrs (Less than One Full-Time, Year-Round Worker)
                      5 No Hrs Worked
                      ")

val_lab(Boro) = num_lab("
                      1 Bronx  
                      2 Brooklyn 
                      3 Manhattan 
                      4 Queens 
                      5 Staten Island
                      ")

val_lab(EducAttain) = num_lab("
                      1 less than High School 
                      2 High School Degree 
                      3 Some College 
                      4 Bachelors Degree or higher
                      ")

# for value labels that contain numbers, use underscore to indicate label
# see below for example

val_lab(AgeCateg) = num_lab("
                      1 Under_18_years 
                      2 18_to_64_years 
                      3 65+_years
                      ")

val_lab(FTPTWork) = num_lab("
                      1 Full Time Year Round 
                      2 Less than Full Time Year Round
                      3 No Work
                      ")

val_lab(Off_Pov_Stat) = num_lab("
                      1 In Poverty 
                      2 Not in Poverty
                      ")

val_lab(NYCgov_Pov_Stat) = num_lab("
                      1 In Poverty 
                      2 Not in Poverty
                      ")

val_lab(TaxUnit_Rel) = num_lab("
                      1 Head/Filer
                      2 Spouse/Partner 
                      3 Child (incl up to_24)
                      4 Other 
                      5 Claimed for EIC 
                      6 Qualifying Relative
                      ")

val_lab(NYCgov_REL) = num_lab("
                      0 Reference person 
                      1 Spouse 
                      2 Child (Incl up to_24 if dependents) 
                      3 Sibling 
                      4 Parent 
                      5 Grandchild 
                      6 Inlaw 
                      7 Other Relative 
                      8 Boarder 
                      9 Roommate 
                      10 Unmarried partner 
                      11 Foster Child 
                      12 Other Non-Relative
                      ")

val_lab(NYCgov_SFR) = num_lab("
                      0 N/A (G/Q Not in a subfamiy)
                      1 Husband/wife no children
                      2 Husband/wife with children
                      3 Parent in a one-parent subfamily
                      4 Child in a married-couple subfamily
                      5 Child in a mother-child subfamily
                      6 Child in a father-child subfamily
                      ")

val_lab(HIUnit_Head) = num_lab("
                      1 Head 
                      0 all else
                      ")

val_lab(SNAPUnit_Rel) = num_lab("
                      1 Head 
                      2 Spouse/Partner 
                      3 Child 
                      4 Other Underage Unit member
                      ")

val_lab(TaxUnit_FILER) = num_lab("
                      1 Filer 
                      0 non-filer
                      ")

val_lab(TaxUnit_FILESTAT) = num_lab("
                      1 Married Filing Joint 
                      2 Head of Household 
                      3 Married Filing Separate 
                      4 Single Filer
                      ")

val_lab(TaxUnit_FILETYPE) = num_lab("
                      1 Normal Filer 
                      2 Dependent Filer 
                      3 Below Threshold Filer
                      ")

# You can then generate a cross tab on all of these categorical varriables (NOT the continuous variables) 
# to see if the value labels were inputted correctly.

cro(CIT) 
cro(SEX)
cro(SCH)
cro(ESR) 
cro(LANX)
cro(ENG)
cro(MSP)
cro(MAR)
cro(DIS)
cro(TEN)
cro(Povunit_Rel)
cro(FamType_PU)
cro(HousingStatus)
cro(Ethnicity) 
cro(TotalWorkHrs_PU)
cro(Boro) 
cro(EducAttain) 
cro(AgeCateg) 
cro(FTPTWork) 
cro(Off_Pov_Stat)
cro(NYCgov_Pov_Stat) 
cro(TaxUnit_Rel) 
cro(NYCgov_REL) 
cro(NYCgov_SFR) 
cro(HIUnit_Head) 
cro(SNAPUnit_Rel)
cro(TaxUnit_FILER)
cro(TaxUnit_FILESTAT) 
cro(TaxUnit_FILETYPE)